<style>
label{
	font-size:16px;
	font-family:Arial;
	@text-decoration:underline;
	color:green;
	font-wight:lighter;
}

th{
	text-align:center;
	font-family: "Arial";
	font-size:20px;
}

td{

	font-family: "Arial";
	font-size:18px;
	@font-weight:bolder;
}
</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from productos") or die(mysql_error());
	?>


    <div class="container">


        
		<div class="row">
			<div class="col-md-12">
			    <span class="h2 text-success"><i class="fa fa-cubes fa-lg"></i> CONSULTA DE PRECIOS</span>
          <hr>
			
        
        <br><br>
		
		
		<div class="panel panel-default1">
			<div class="panel-heading1">
				
			</div>
			<div class="panel-body1">
				<div class="table-responsive border p-3">
					<table class="table   table-sm table-striped table-hover " data-page-length='10' style="width: 100%">
						<thead>
						
							<th>CODIGO</th>
							
                            <th>NOMBRE DEL PRODUCTO</th>
                             <th>PRECIO DE VENTA</th>
             
						</thead>
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
							
                <td><span class="text-primary"><?php echo $r["codigo"]?></span></td>
								<td><a class="" href="#"  onClick=''><b><?php echo $r["descripcion"]?></b></a></td>
               
                <td><?php echo "<b><font size='4'>RD$ ".@decimal($r["precio"])?></b></font></td>

							</tr>
                                                        <?php }?>
						</tbody>
					</table>
				</div>
			</div>
			
		</div>
				
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalProducto" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-edit"></i> Registro de productos</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
       
         
		      <form name="frm" action="" method="POST" id="frm">

			 

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" >Descripcion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="nombre" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Codigo</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="codigo2" name="codigo" value="" readonly>

            <input autocomplete="off" type="hidden"  class="form-control mb-2 bold" id="codigo" name="codigo" value="">
          </div>
        </div>

			  
         <div class="row">
          <label for="costo" class="col-sm-3 col-form-label" >Costo</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="costo" name="costo" value="">
          </div>

          <div class="col-sm-3">
            <input autocomplete="off" placeholder="% ITBIS" type="number" onBlur="setDefaultCalc()" ondblclick="cal_itbis()" class="form-control mb-2" id="itbis" name="itbis" value="">
          </div>

          <div class="col-sm-3">
            <input autocomplete="off" type="number"  onBlur="setDefaultCalc()" ondblclick="cal_utilidad()" placeholder="% Utilidad" class="form-control mb-2" id="utilidad" name="utilidad" value="">
          </div>
        </div>

        <div class="row">
          <label for="precio" class="col-sm-3 col-form-label" >Precio 1</label>
          <div class="col-sm-9">
            <input autocomplete="off" onKeyUp="$('#utilidad').val('')" type="number"  class="form-control mb-2 bold text-primary" id="precio" name="precio" value="">
          </div>
        </div>
		 <div class="row">
          <label for="precio2" class="col-sm-3 col-form-label" >Precio 2</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2 bold text-primary" id="precio2" name="precio2" value="">
          </div>
        </div>

        <div class="row">
                        <div class="col-md-3">
                            <label class="text-danger">Imptos.</label>
                        </div>
                        <div class="col-md-6">
                            <select class="form-control  mb-2" id="tipo_impuestos">

                                
                                <?php $sql2 = mysql_query("select * from impuestos order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['valor'] ?>">(<?php echo $r['valor'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>

                        <div class="col-sm-3">
                         <input autocomplete="off" type="number"  class="form-control mb-2 text-danger" id="valor_impuestos" name="valor_impuestos" value="" disabled>
                      </div>

                    </div>
           



         <div class="row">
          <label for="stock" class="col-sm-3 col-form-label text-primary" >Stock</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2 text-danger" id="stock" name="stock" value="">
          </div>
        </div>

       

                 <div class="row">
                        <div class="col-md-3">
                            <label>Proveedor</label>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="proveedor">

                                <option value="" selected disabled>Sel. proveedor</option>
                                <?php $sql2 = mysql_query("select * from proveedores order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>">(<?php echo $r['id_proveedor'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3">
                            <label>Variedad</label>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="variedad">

                                <option value="" selected disabled>Sel. variedad</option>
                                <?php $sql2 = mysql_query("select * from variedad_productos order by variedad asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['variedad'] ?>"><?php echo $r['variedad'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3">
                            <label>Und. Medida</label>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="unidad">

                                <option value="" selected disabled></option>
                               <option value="UNIDAD">UNIDAD</option>
                                <option value="LIBRA">LIBRA</option>
                                <option value="PAQUETE">UNIDAD</option>
                                <option value="CAJA">CAJA</option>
                            </select>
                        </div>
                    </div>

           
                 </div>





			  
			  
		  </form>

          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_producto()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_producto="";

function setDefaultCalc(){
  localStorage.setItem("itbis",$("#itbis").val());
  localStorage.setItem("utilidad",$("#utilidad").val());
}

getDefaultCalc();
function getDefaultCalc(){
$("#itbis").val(localStorage.getItem("itbis"));
 $("#utilidad").val(localStorage.getItem("utilidad"));
}
function cal_itbis(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}

  var a = lcosto * litbis/100;
  var b = parseFloat(a )+ parseFloat(lcosto);
  $("#costo").val(b);

  


}

function cal_utilidad(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}


  var c = lcosto * lutilidad/100;
  var d = parseFloat(c) + parseFloat(lcosto);
  $("#precio").val(d);


}
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;             
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                    
                     $("#codigo2").val(rs.data[i].codigo);

                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
					$("#precio2").val(rs.data[i].precio2);
                    $("#stock").val(rs.data[i].stock);
                    $("#valor_impuestos").val(rs.data[i].valor_impuestos);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                    $("#tipo_impuestos option[value='"+rs.data[i].tipo_impuestos+"']").prop('selected', true);
                    $("#variedad option[value='"+rs.data[i].variedad+"']").prop('selected', true);
                   $("#unidad option[value='"+rs.data[i].unidad+"']").prop('selected', true);

                    $("#stock").hide();
                   getDefaultCalc()
                  }
                
            })
        }
  
  
  
  
  function grabar_producto(){
				var codigo2 = $("#codigo2").val();
				var id = $("#id").val();
				if(id==""){
				var param = "codigo="+codigo2
				$.get("verificar_existe.php?"+param, function(data,st){
					if(st=="success"){
						if(data>0){
								alert("Hay un producto con este codigo")
						}else{
							grabar_producto2()
						}
					}
				})
			}else{
				grabar_producto2()
			}
  }
  
  function grabar_producto2(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}     
               
     var id_producto = $("#id").val()
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
    var codigo2 = $("#codigo2").val();

     var precio = $("#precio").val();
	 var precio2 = $("#precio2").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
    
	 if(stock==""){stock=0;}
     var tipo_impuestos = $("#tipo_impuestos").val();
     var valor_impuestos = $("#valor_impuestos").val();
     var proveedor = $("#proveedor").val();
     var variedad = $("#variedad").val();
     var unidad = $("#unidad").val();
	 if(precio2=="" || precio2==0){precio2=precio;}



     if(nombre=="" || codigo2==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
			sql+=", precio2='"+precio2+"'"; 
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", variedad='"+variedad+"'"; 
            sql+=", unidad='"+unidad+"'"; 
            sql+=", stock='"+stock+"'"; 

        }else{

              if(validAuth!="Ok"){
                   modalAuth00(grabar_producto2);
                    return;
                }
                 
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
			sql+=", precio2='"+precio2+"'"; 
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", variedad='"+variedad+"'"; 
            sql+=", unidad='"+unidad+"'"; 
            sql+=", stock='"+stock+"'"; 
            sql+=" WHERE id_producto='"+id_producto+"'";
            
        }
    
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
	   if(stock==""){stock=0;} 
 
	if(parseFloat(stock)>0 || parseFloat(stock)<=0){
			update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos)
			  almacen()
	
	
	   }else{
		noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
     window.close()
     parent.window.location.reload()
     setTimeout(function(){window.location.reload()},2000)
	   }
        

      }else{
          alert(data);
          
      }
       
    })
}
  
  
function update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos){

	var param = "costo="+costo+"&codigo="+codigo+"&descripcion="+nombre+"&stock="+stock+"&precio1="+precio+"&precio2="+precio2+"&tipo_impuesto="+tipo_impuestos
	$.get("update_inventario.php?"+param, function(data,st){
		if(st=="success"){
			if(data=="1");
		}else{
			alert(data)
		}
	})
}



  function almacen(){
    if(id_producto==""){                   
    
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
    var codigo2 = $("#codigo2").val();
     var precio = $("#precio").val();
	 var precio2 = $("#precio2").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
	 if(stock==""){stock=0;}
     var tipo_impuestos = $("#tipo_impuestos").val();
     var valor_impuestos = $("#valor_impuestos").val();
     var proveedor = $("#proveedor").val();
     var variedad = $("#variedad").val();
     if(precio2=="" || precio2==0){precio2=precio;}

    var sql="";                            

            sql="INSERT INTO inventario set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
			sql+=", precio2='"+precio2+"'"; 
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'"; 
			sql+=", almacen='"+myAlmacen+"'"; 
            //sql+=", proveedor='"+proveedor+"'"; 
            //sql+=", variedad='"+variedad+"'"; 
            sql+=", cantidad='"+stock+"'"; 

        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
	}else{
		noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
         window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)

		
	}
}
    
  

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    
    if(validAuth!="Ok"){
    modalAuth00(borrar);
    return;
  } 

    var sql="";                            
    sql="delete from productos where id_producto='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

$(".form-control").change(function(){
  impuestos()
})

function impuestos(){
  var precio = $("#precio").val();
  var tipo_impuestos = $("#tipo_impuestos").val();

  var it = parseFloat(precio)/parseFloat("1."+tipo_impuestos);
  var valor  = parseFloat(precio) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo_impuestos==""){valor=0}
  
  $("#valor_impuestos").val(valor.toFixed(3))
}

$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});

        $('.nav-tabs').tab('show');
 

 
        </script>

